# Class NoFunctionByThatNameError`Protected`

#### Hierarchy

- Error
  - NoFunctionByThatNameError

- Defined in encoder/lib/errors.ts:29

#####
Index

### Constructors

constructor

### Properties

contractName
functionNameOrSig

## Constructors

### constructor

- new NoFunctionByThatNameError(functionNameOrSig, contractName): NoFunctionByThatNameError

- #### Parameters

  - ##### functionNameOrSig: string

  - ##### contractName: string

  #### Returns NoFunctionByThatNameError

  Overrides Error.constructor

  - Defined in encoder/lib/errors.ts:32

## Properties

### contractName

contractName: string

- Defined in encoder/lib/errors.ts:31

### functionNameOrSig

functionNameOrSig: string

- Defined in encoder/lib/errors.ts:30

Generated using TypeDoc